std::basic_istringstream::swap(3)

NAME
std::basic_istringstream::swap - std::basic_istringstream::swap

Synopsis
   void swap( basic_istringstream& other ); (since C++11)
   Exchanges the state of the stream with those of other.
   This is done by calling basic_istream<CharT, Traits>::swap(other) and
   rdbuf()->swap(*other.rdbuf()).

Parameters
   other - stream to exchange the state with

Return value
   (none)

Exceptions
   May throw implementation-defined exceptions.

Example
    This section is incomplete
    Reason: no example

See also
   operator= moves the string stream
   (C++11) (public member function)
   swap swaps two basic_stringbuf objects
   (C++11) (public member function of std::basic_stringbuf<CharT,Traits,Allocator>)